#include <stdio.h>
#include <conio.h>

int medijana(int a[], int n){
    int t;
    for(int i=0;i<n-1;i++){
        for(int j=0;j<n-i-1;j++){  
            if(a[j]>a[j+1]){
                t=a[j];  
                a[j]=a[j+1];  
                a[j+1]=t;  
            }
        }  
    }
    
    return a[n/2];
}

int main()
{
    int n, q, m;
    scanf("%i%i",&n,&q);
    int a[n], b[q];
    
    for(int i=0;i<n;i++){
        scanf("%i",&a[i]);
    }
    
    for(int i=0;i<q;i++){
        scanf("%i",&b[i]);
    }
    
    m = medijana(a,n);
    
    for(int i=0;i<q;i++){
        int s=0, n1=n, m1=m;
        while(b[i]!=m1){
            n1++;
            int c[n1];
            for(int j=0;j<n1;j++){
                c[j] = a[j];
                for(int k=0;k<n1-n;k++){
                    if(j==n1 - (k+ 1)) c[n1 - (k+ 1)] = b[i];
                }
            }
            m1 = medijana(c,n1);
            s++;
        }
        
        printf("%i\n",s);
    }

    return 0;
}